<%@ Page CodeFileBaseClass="AliCMS.Lib.SystemPageBase" %>
<ali:Get ID="ThisChannel" Object="Channel" InnerID="Request.QueryString['ChannelID']" />
<script language="c#" runat="server">
private List<string> _objects;
protected bool Exists(object objectName)
{
	if (_objects == null)
		_objects = new List<string>();
	
	if (_objects.Contains(objectName.ToString()))
	{
		return true;
	}
	else
	{
		_objects.Add(objectName.ToString());
		return false;
	}
}
</script>
<table border="0" cellpadding="4" cellspacing="1" class="ListTable">
	<thead>
		<tr>
			<th>对象名称</th>
			<th width="80">生成</th>
		</tr>
	</thead>
	<tbody>
		<ali:List Object="Template.Page" Condition="TemplatePath=ThisChannel[TemplatePath]">
			<ali:Record>
				<%If !Exists(Object)%>
					<tr>
						<th><%=Object%></th>
						<td><input type="button" name="<%=Object%>" value="生成" /></td>
					</tr>
				<%EndIf%>
			</ali:Record>
		</ali:List>
	</tbody>
</table>
